Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.events
Interface IHandledEvent

All Superinterfaces
  Serializable

    public interface IHandledEvent

extends Serializable

Event handled by a portlet.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`ILocalizedString` | `getDescription()` Returns a description of the event.
`List<IEventHandler>` | `getEventHandlers()` Returns event handlers
`String` | `getEventLabel()` Returns a label for the event
`QName` | `getEventName()` Returns the name of the event.
`QName` | `getEventType()` Returns the type of the event.
`String` | `getSourceDefinitionLabels()` Returns an immutable list of source definition labels that this is event is valid for.
`String` | `getSourceDefinitionWildcard()` Returns the wild card used for source definition labels.
`boolean` | `isFilterable()` Returns true if this svent is filterble.
`boolean` | `isFromSelfInstanceOnly()` Returns true if this event should be handled only when the source of the event is an instance of this portlet.
`boolean` | `isOnlyIfDisplayed()` Returns true if this event should be handled only when the portlet is rendered in a page.

Method Detail

### getEventName

    QName getEventName()

  Returns the name of the event.

  Returns
    name

### getDescription

    ILocalizedString getDescription()

  Returns a description of the event.

  Returns
    description

### getEventType

    QName getEventType()

  Returns the type of the event.

  Returns
    type

### getEventLabel

    String getEventLabel()

  Returns a label for the event

  Returns
    label

### getEventHandlers

    List<IEventHandler> getEventHandlers()

  Returns event handlers

  Returns
    handlers

### isFilterable

    boolean isFilterable()

  Returns true if this svent is filterble.

  Returns
    filterable

### isOnlyIfDisplayed

    boolean isOnlyIfDisplayed()

  Returns true if this event should be handled only when the portlet is rendered in a page.

  Returns
    boolean

### getSourceDefinitionLabels

    String getSourceDefinitionLabels()

  Returns an immutable list of source definition labels that this is event is valid for.

  Returns
    list

### getSourceDefinitionWildcard

    String getSourceDefinitionWildcard()

  Returns the wild card used for source definition labels.

  Returns
    wildcard (this or any)

### isFromSelfInstanceOnly

    boolean isFromSelfInstanceOnly()

  Returns true if this event should be handled only when the source of the event is an instance of this portlet.

  Returns
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved